<template lang="pug">
.accordion-parent
  .accordion
    input(type="checkbox" id="accordion-user" name="accordion-checkbox" hidden checked disabled)
    label.accordion-header.text-bold.c-default(for="accordion-user") {{ $t('your', { thing: $tc('corpus', 2) }) | capitalize({ onlyFirstLetter: true }) }}
    .accordion-body
      ul.menu.menu-nav
        li.menu-item
          nuxt-link(:to="{ path: localePath('account-corpora') }" exact-active-class="active" ref="all") {{ $t('all', { things: '' }) }} <z-icon tabindex="-1" name="list"/>
        li.menu-item
          nuxt-link(:to="{ path: localePath('account-corpora') + '?drafts' }" exact-active-class="active" ref="draft") {{ $tc('draft', 2) | capitalize }} <z-icon tabindex="-1" name="drafts"/>
        //-
          li.menu-item
            nuxt-link(:to="{ path: localePath('account-corpora') + '?pending' }" exact-active-class="active" ref="pending") {{ $t('pending review') | capitalize }} <z-icon tabindex="-1" name="timelapse"/>
        li.divider
  .accordion
    input(type="checkbox" id="accordion-history" name="accordion-checkbox" hidden checked disabled)
    label.accordion-header.text-bold.c-default(for="accordion-history") {{ $t('your', { thing: $tc('import', 2) }) | capitalize({ onlyFirstLetter: true }) }}
    .accordion-body
      ul.menu.menu-nav
        li.menu-item
          nuxt-link(:to="{ path: localePath('account-history') }" exact-active-class="active" ref="all") {{ $t('all', { things: '' }) }} <z-icon tabindex="-1" name="list"/>
        li.divider
        li.menu-item(:class="{ badge: current.files.length > 0 }" :title="current.files.length > 0 ? 'You have a corpus in creation' : ''")
          nuxt-link(:to="{ path: localePath('account-corpora-create') }" exact-active-class="active" ref="create") {{ $t('create') }} {{ $tc('corpus') | capitalize }} <z-icon tabindex="-1" name="add_circle"/>
        li.menu-item
          nuxt-link(:to="{ path: localePath('account-corpora-import') }" exact-active-class="active" ref="import") {{ $tc('import') }} {{ $tc('corpus') | capitalize }} <z-icon tabindex="-1" name="get_app"/>

    .accordion-body(v-show="openCorpora.length > 0")
      label.accordion-header.text-bold.c-default {{ $t('open') | capitalize }} {{ $tc('corpus', 2) }}
      ul.menu.menu-nav
        corpus-nav-badge(v-for="(corpus, index) in openCorpora" :corpus="corpus" :key="index")

  back-to-top(bottom="50px" right="82%" visibleoffset="800")
    button.btn.btn-action.s-circle(style="margin-right:0.8rem;").
      #[i.material-icons(tabindex="-1" style="transform:rotate(-90deg)") chevron_right]
</template>

<script>
import { mapGetters } from 'vuex'

import BackToTop from 'vue-backtotop'

import CorpusNavBadge from '~/components/CorpusNavBadge'

export default {
  components: {
    BackToTop,
    CorpusNavBadge
  },
  computed: {
    ...mapGetters('corpora', ['openCorpora', 'current'])
  }
}
</script>

<style lang="postcss" scoped>
.accordion-parent,
.accordion {
  width: 100%;
}

.menu.menu-nav {
  min-width: unset;
}

.menu .menu-item > a {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

li.menu-item > a {
  display: flex;
  justify-content: right;
  align-items: center;
  flex: 1;

  & i {
    margin-left: 0.3rem;
  }
}

a:hover {
  background: inherit !important;
}
</style>
